Subscribe Targets to an Image

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/actions/subscribeTargets

Subscribes targets to an image. Targets can be of the same release (for patching purposes) or can be of a lower release from which a direct upgrade path is available.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Match All
Show Source
Nested Schema : SubscribeTargetsDetails
Type: object
Details of subscription of targets
Match All
Details of subscription of targets
Details of subscription of targets
Show Source
Nested Schema : TargetList
Type: object
List of targets
Show Source
Nested Schema : SubscribeTargetCommonDetails
Type: object
Common details for subscription of a target to the image
Show Source
Nested Schema : targetList
Type: array
Array of target names
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Ok. Targets subscribed.
Body ()
Root Schema : schema
Type: object
Match All
Show Source
Nested Schema : GoldImageSubscribeTargets
Type: object
Targets subscription response
Match All
Targets subscription response
Show Source
Nested Schema : GoldImageTargetsSubscriptionSummary
Type: object
Targets subscription details
Show Source
Nested Schema : items
Type: array
List of subscription summary
Show Source
Nested Schema : SubscriptionSummary
Type: object
Target subscription summary
Show Source
Examples

400 Response

Bad Request.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

401 Response

Unauthorized.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

403 Response

Forbidden.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

404 Response

Not Found.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

500 Response

Internal Server Error.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

503 Response

Service Unavailable
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source
Back to Top